MyGUI_WidgetInput.h File Reference
`#include "MyGUI_Prerequest.h"`
`#include "MyGUI_Macros.h"`
`#include "MyGUI_WidgetDefines.h"`
`#include "MyGUI_WidgetToolTip.h"`
`#include "MyGUI_MouseButton.h"`
`#include "MyGUI_KeyCode.h"`
`#include "MyGUI_MaskPickInfo.h"`
`#include "MyGUI_Delegate.h"`
`#include "MyGUI_EventPair.h"`

Go to the source code of this file.

## Data Structures

class | MyGUI::WidgetInput

## Namespaces

namespace | MyGUI

## Typedefs

using | MyGUI::EventHandle_WidgetVoid = delegates::MultiDelegate<Widget*>
using | MyGUI::EventHandle_WidgetWidget = delegates::MultiDelegate<Widget*, Widget*>
using | MyGUI::EventHandle_WidgetBool = delegates::MultiDelegate<Widget*, bool>
using | MyGUI::EventHandle_WidgetInt = delegates::MultiDelegate<Widget*, int>
using | MyGUI::EventHandle_WidgetSizeT = delegates::MultiDelegate<Widget*, size_t>
using | MyGUI::EventHandle_WidgetIntInt = delegates::MultiDelegate<Widget*, int, int>
using | MyGUI::EventHandle_WidgetIntIntButton = delegates::MultiDelegate<Widget*, int, int, MouseButton>
using | MyGUI::EventHandle_WidgetKeyCode = delegates::MultiDelegate<Widget*, KeyCode>
using | MyGUI::EventHandle_WidgetKeyCodeChar = delegates::MultiDelegate<Widget*, KeyCode, Char>
using | MyGUI::EventHandle_WidgetToolTip = delegates::MultiDelegate<Widget*, const ToolTipInfo&>